ServletCookieValueMethodArgumentResolver (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.servlet.mvc.method.annotation

## Class ServletCookieValueMethodArgumentResolver

- java.lang.Object
- - org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver
  - - org.springframework.web.method.annotation.AbstractCookieValueMethodArgumentResolver
    - - org.springframework.web.servlet.mvc.method.annotation.ServletCookieValueMethodArgumentResolver

- All Implemented Interfaces:
    HandlerMethodArgumentResolver

      public class ServletCookieValueMethodArgumentResolver
      extends AbstractCookieValueMethodArgumentResolver

  An `AbstractCookieValueMethodArgumentResolver` that resolves cookie values from an `HttpServletRequest`.
  Since:
    3.1
  Author:
    Rossen Stoyanchev

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver

      `AbstractNamedValueMethodArgumentResolver.NamedValueInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletCookieValueMethodArgumentResolver(ConfigurableBeanFactory beanFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `resolveName(String cookieName, MethodParameter parameter, NativeWebRequest webRequest)` Resolves the given parameter type and value name into an argument value.
    `void` | `setUrlPathHelper(UrlPathHelper urlPathHelper)`

    - ### Methods inherited from class org.springframework.web.method.annotation.AbstractCookieValueMethodArgumentResolver

      `createNamedValueInfo, handleMissingValue, supportsParameter`

    - ### Methods inherited from class org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver

      `handleResolvedValue, resolveArgument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletCookieValueMethodArgumentResolver

          public ServletCookieValueMethodArgumentResolver(ConfigurableBeanFactory beanFactory)

  - ### Method Detail

    - #### setUrlPathHelper

          public void setUrlPathHelper(UrlPathHelper urlPathHelper)

    - #### resolveName

          protected Object resolveName(String cookieName,
                           MethodParameter parameter,
                           NativeWebRequest webRequest)
                                throws Exception

      Description copied from class: `AbstractNamedValueMethodArgumentResolver`
      Resolves the given parameter type and value name into an argument value.
      Specified by:
        `resolveName` in class `AbstractNamedValueMethodArgumentResolver`
      Parameters:
        `cookieName` - the name of the value being resolved
        `parameter` - the method parameter to resolve to an argument value
        `webRequest` - the current request
      Returns:
        the resolved argument. May be `null`
      Throws:
        `Exception` - in case of errors